
// NNNView.cpp : implementation of the CNNNView class
//

#include "stdafx.h"
// SHARED_HANDLERS can be defined in an ATL project implementing preview, thumbnail
// and search filter handlers and allows sharing of document code with that project.
#ifndef SHARED_HANDLERS
#include "NNN.h"
#endif

#include "NNNDoc.h"
#include "NNNView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CNNNView

IMPLEMENT_DYNCREATE(CNNNView, CView)

BEGIN_MESSAGE_MAP(CNNNView, CView)
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, &CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, &CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, &CNNNView::OnFilePrintPreview)
	ON_WM_CONTEXTMENU()
	ON_WM_RBUTTONUP()
END_MESSAGE_MAP()

// CNNNView construction/destruction

CNNNView::CNNNView() noexcept
{
	// TODO: add construction code here

}

CNNNView::~CNNNView()
{
}

BOOL CNNNView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

// CNNNView drawing

void CNNNView::OnDraw(CDC* /*pDC*/)
{
	CNNNDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	if (!pDoc)
		return;

	// TODO: add draw code for native data here
}


// CNNNView printing


void CNNNView::OnFilePrintPreview()
{
#ifndef SHARED_HANDLERS
	AFXPrintPreview(this);
#endif
}

BOOL CNNNView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CNNNView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CNNNView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

void CNNNView::OnRButtonUp(UINT /* nFlags */, CPoint point)
{
	ClientToScreen(&point);
	OnContextMenu(this, point);
}

void CNNNView::OnContextMenu(CWnd* /* pWnd */, CPoint point)
{
#ifndef SHARED_HANDLERS
	theApp.GetContextMenuManager()->ShowPopupMenu(IDR_POPUP_EDIT, point.x, point.y, this, TRUE);
#endif
}


// CNNNView diagnostics

#ifdef _DEBUG
void CNNNView::AssertValid() const
{
	CView::AssertValid();
}

void CNNNView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CNNNDoc* CNNNView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CNNNDoc)));
	return (CNNNDoc*)m_pDocument;
}
#endif //_DEBUG


// CNNNView message handlers
